﻿
$ErrorActionPreference = 'Stop';
$url32 = 'https://msedge.sf.dl.delivery.mp.microsoft.com/filestreamingservice/files/7fe64c53-c316-4fe2-a440-4acf63914bfb/MicrosoftEdgeEnterpriseX86.msi'
$url64 = 'https://msedge.sf.dl.delivery.mp.microsoft.com/filestreamingservice/files/b003e707-85e6-456e-9f4f-9e80acf2c1d3/MicrosoftEdgeEnterpriseX64.msi'

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  fileType       = 'MSI'
  url            = $url32
  url64bit       = $url64

  softwareName   = 'Microsoft Edge'

  checksum       = 'EA2E187DAAA842E48AA3F82AED617F1682B40F6065D4FDBEAC8C7EFA004E9A72'
  checksumType   = 'sha256'
  checksum64     = '0ADD97EBEEA929672A89167073FB0CB2EC3FF84578CC55764F65C754736773CD'
  checksumType64 = 'sha256'

  silentArgs     = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
